精华内容
下载资源
问答
  • 需要修改文件:D:/program/myplatform/Apache2.4/conf/httpd.conf1. 设置apache安装目录将DefineSRVROOT "/Apache24"修改为DefineSRVROOT "D:/program/myplatform/Apache2.4"2. 配置工作空间将下面两行...

    需要修改的文件:D:/program/myplatform/Apache2.4/conf/httpd.conf

    1. 设置apache的安装目录

    将Define

    SRVROOT "/Apache24"修改为

    Define

    SRVROOT "D:/program/myplatform/Apache2.4"

    2. 配置工作空间

    将下面两行

    DocumentRoot

    "${SRVROOT}/htdocs"

    "${SRVROOT}/htdocs">

    修改为

    DocumentRoot

    "D:/javapro"

    "D:/javapro">

    3.

    装载php模块

    mime_module>标签的末尾处,添加如下三行内容:

    PHPIniDir

    "../PHP/php-7.0.10"

    LoadModule

    php7_module "../PHP/php-7.0.10/php7apache2_4.dll"

    AddType

    application/x-httpd-php .php

    注意:此处用的是相对路径,相对路径的根目录是ServerRoot参数的值,也就是前面SRVROOT定义的值,而不是httpd.conf配置文件所在的目录。

    4. 禁止访问网站目录

    出于安全方面的考虑,我们最好配置该选项,禁止访问网站的目录列表。如下:

    "D:/javapro">标签内,将

    Options

    Indexes FollowSymLinks

    修改为

    Options

    None

    5. 配置默认首页

    dir_module>标签内,将

    DirectoryIndex

    index.html

    修改为

    DirectoryIndex

    index.html index.php

    展开全文
  • 本文采用Windows 7 64bit 专业版操作系统,要安装并运行Flutter,您开发环境必须满足以下最低要求: 操作系统:Windows 7 或更高版本(64-bit) 磁盘空间:400MB+Android Studio占用空间 二、软件下载及安装 ...

    一、操作系统及环境

    本文采用Windows 7 64bit 专业版操作系统,要安装并运行Flutter,您的开发环境必须满足以下最低要求:

    操作系统:Windows 7 或更高版本(64-bit)

    磁盘空间:400MB+Android Studio占用空间

     

    二、软件下载及安装

    1.Flutter SDK安装

    (a)Flutter SDK下载地址:https://flutter.dev/docs/development/tools/sdk/releases#windows

    建议下载Stable channel(稳定通道版本),本文采用当前最新稳定版本,解压缩即可,注意不要放在高权限路径,建议放在D:盘根目录新建flutter文件夹即可。

    (b)解压缩以后运行Flutter SDK解压缩目录下的flutter_console.bat,对Flutter进行安装。

    (c)计算机——右键属性——高级系统设置——环境变量——系统变量(新建、编辑等)

    增加以下三个环境变量,PATH环境变量一般已经存在,在其中添加flutter\bin目录的全路径,注意用半角英文分号作为分隔,这样就可以在cmd命令下直接运行flutter命令。

    (d)验证,Windows+R——cmd——flutter——flutter doctor(flutter doctor命令用来对flutter环境进行诊断)

    经过诊断,有以上错误。

    完成!

    2、编辑器

    建议使用Android Studio,到官方网站下载最新版即可

    Android Studio下载地址:https://developer.android.google.cn/studio/

    本文安装的是,安装过程中需要下载Android SDK内容,时间略长。

     

    安装成功!随便新建一个项目打开Android Studio

     

     

    安装Flutter插件成功,重启IDE即可新建flutter project

    3、虚拟机

    命令行中运行flutter doctor,显示没有已连接的设备。

    下载地址:https://www.genymotion.com/download/

    此时如果直接运行新建的Flutter项目,将无法运行,提示错误没有连接设备,本文采用genymotion作为虚拟机对Flutter软件进行调试,下载安装最新版本genymotion

    ,需要先注册一个账号。

    Genymotion安装基于virtualbox,安装包中包含virtualBox的安装程序,

    建立虚拟机,需要在BIOS中开启Virtual Technology,该功能设置菜单不固定,需要根据电脑主板品牌和型号确定,有些电脑CPU不支持VT功能,则无法使用虚拟机功能。

     

     

    4、Android SDK

        此时运行flutter doctor,仍有一个问题没有解决,显示问题描述是“安卓的许可没有被接受”,按照flutter提示,输入命令flutter doctor –android-licenses,回车即可,接五来全部输入yes回车,直到licenses安装完成。

     

    显示“All SDK package licenses accepted”,即所有SDK Licenses安装完成!

    三、修改配置开始调试

    打开flutter SDK的目录下的flutter/packages/flutter_tools/gradle/

    修改三个文件:

    aar_init_script.gradle

    flutter.gradle

    resolve_dependencies.gradle

    将这三个文件中的“https://storage.googleapis.com/download.flutter.io” (每个文件一处)

    替换为 “http://download.flutter.io”

    修改好以后,再点Android Studio环境中的运行, 即可在虚拟机中运行调试Flutter程序!

     

    参考:

    Flutter中文网:https://flutterchina.club/get-started/install/

    Gradle编译错误解决方法:https://www.cnblogs.com/zhouziyan/p/12896029.html

    Flutter+JAVA8以上版本配置:https://blog.csdn.net/jia__/article/details/92620921

    展开全文
  • 要安装并运行 Flutter ,你开发环境必须满足这些最低要求: 操作系统:Windows 7 或者更高版本(64 位)。 磁盘空间:400 MB(不包括 Android Studio 在内磁盘空间)。 工具: Flutter 依赖了你环境中可用...

    一、系统要求


    要安装并运行 Flutter ,你的开发环境必须满足这些最低要求:

    • 操作系统:Windows 7 或者更高版本(64 位)。
    • 磁盘空间:400 MB(不包括 Android Studio 在内的磁盘空间)。
    • 工具: Flutter 依赖了你环境中可用的命令行工具。
      • Git for Windows (从 Windows 命令提示符选项中使用 Git )。
        如果你已经安装了 Git for Windows ,确保你可以在 Windows 命令提示符或者 PowerShell 中运行 git 。

    二、下载Flutter SDK


    1、克隆Flutter SDK仓库

    右键打开Git Bash,输入

    git clone -b beta https://github.com/flutter/flutter.git
    

    2、配置环境变量

    为了可以在任意的终端会话使用 flutter 命令,你需要添加它到你的 PATH 环境变量:

    • 打开 “控制面板 > 系统和安全 > 系统 > 高级系统设置 > 环境变量”。
    • 在用户变量下,检测是否存在 “Path” 的环境变量:
      • 如果这个 Path 变量已经存在了,就添加;到原来的 Path 值的末尾,并且加上 flutter\bin 的全路径
      • 如果这个 Path 变量不存在,就要在用户变量下创建新的 Path 的变量名,并且它的变量值设置为 flutter\bin 的全路径
    <!-- 我的Flutter SDK全路径 -->
    D:\Flutter_SDK\flutter\bin
    

    打开命令窗口测试一下是否配置正确,如果确认正确还是不能用,重启电脑后重试

    C:\Users\StriveStay>flutter --version
    Flutter 1.0.0 • channel beta • https://github.com/flutter/flutter.git
    Framework • revision 5391447fae (7 weeks ago) • 2018-11-29 19:41:26 -0800
    Engine • revision 7375a0f414
    Tools • Dart 2.1.0 (build 2.1.0-dev.9.4 f9ebf21297)
    

    3、运行 flutter doctor

    打开一个新的命令提示符或者 PowerShell 窗口,接着运行以下的命令,检查是否需要安装任何依赖项来完成安装:

    flutter doctor
    

    要在命令提示符或者 PowerShell 窗口运行此命令。目前, Flutter 还不支持像 Git Bash 这样子的第三方 shell。

    1、设置镜像

    这里需要提醒一下:
    运行这个检查命令后,有可能会卡到某个地方不动了,有可能下载某个依赖失败了…(忘记截图),我们可以通过先设置镜像来避免(Flutter关于镜像的说明):

    <!-- 先临时设置镜像 -->
    C:\Users\StriveStay> set PUB_HOSTED_URL=https://pub.flutter-io.cn
    
    C:\Users\StriveStay> set FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn
    

    最好是设置为环境变量
    提前说一下,不设置的话可能会导致创建项目失败,因为总是下载不了依赖包(用梯子科学上网也不行),配置如下,确认配置正确,还是创建项目失败或卡在创建项目页都没进入Android Studio项目详情,重启电脑后重试

    2、flutter doctor

    运行 flutter doctor

    C:\Users\StriveStay>flutter doctor
    Doctor summary (to see all details, run flutter doctor -v):
    [√] Flutter (Channel beta, v1.0.0, on Microsoft Windows [Version 10.0.17134.523], locale zh-CN)
    [√] Android toolchain - develop for Android devices (Android SDK 28.0.3)
    [√] Android Studio (version 3.2)
        X Flutter plugin not installed; this adds Flutter specific functionality.
        X Dart plugin not installed; this adds Dart specific functionality.
    [!] Connected device
        ! No devices available
    
    ! Doctor found issues in 1 category.
    
    

    可以看到检查的项目:

    • Flutter的版本和渠道

    • Flutter运行所需的Android工具链

    • 开发工具

    • 连接设备

    如上,flutter doctor帮我们检查出来了没有正确设置的项目,根据提示解决:

    1、连接Android设备(开启USB调试) 或 开启一个模拟器,解决连接设备问题

    2、 安装 Flutter 和 Dart 插件,解决插件问题

    Flutter 的开发支持需要安装 2 个插件:

    • Flutter 插件可以提高 Flutter 在开发过程中的开发效率(运行,调试,热重载等等)。
    • Dart 插件提提升了代码层面的开发效率(在你敲代码的同时进行代码校验,代码自动补全等等)。

    安装步骤:
    Android Studio下载,需3.0及以上

    • 启动 Android Studio。
    • 打开插件设置(在 macOS 上路径为 Preferences>Plugins,在 Windows 和 Linux 上路径为 File>Settings>Plugins)。
    • 选择 Browse repositories…,找到或者在搜索栏输入 Flutter,然后点击 install。
    • 当弹出对话框提示要安装 Dart 插件的时候,点击 Yes 接受。
    • 如果弹出 Restart 需要重启编辑器的时候,点击 Yes 接受。

    处理完这两个错误项,再来运行flutter doctor:

    <!-- 再运行flutter doctor命令 -->
    C:\Users\StriveStay>flutter doctor
    Flutter assets will be downloaded from https://storage.flutter-io.cn. Make sure you trust this source!
    Downloading Material fonts...                                0.7s
    Downloading package sky_engine...                            0.5s
    Downloading common tools...                                  1.1s
    Downloading windows-x64 tools...                             2.6s
    Downloading android-arm-profile/windows-x64 tools...         0.8s
    Downloading android-arm-release/windows-x64 tools...         0.6s
    Downloading android-arm64-profile/windows-x64 tools...       0.6s
    Downloading android-arm64-release/windows-x64 tools...       0.6s
    Downloading android-x86 tools...                             1.7s
    Downloading android-x64 tools...                             1.8s
    Downloading android-arm tools...                             1.1s
    Downloading android-arm-profile tools...                     1.0s
    Downloading android-arm-release tools...                     0.8s
    Downloading android-arm64 tools...                           1.1s
    Downloading android-arm64-profile tools...                   1.1s
    Downloading android-arm64-release tools...                   1.4s
    Downloading android-arm-dynamic-profile tools...             0.9s
    Downloading android-arm-dynamic-release tools...             1.0s
    Downloading android-arm64-dynamic-profile tools...           0.9s
    Downloading android-arm64-dynamic-release tools...           0.8s
    Downloading Gradle Wrapper...                                0.2s
    Doctor summary (to see all details, run flutter doctor -v):
    [√] Flutter (Channel beta, v1.0.0, on Microsoft Windows [Version 10.0.17134.523], locale zh-CN)
    [√] Android toolchain - develop for Android devices (Android SDK 28.0.3)
    [√] Android Studio (version 3.2)
    [√] Connected device (1 available)
    
    • No issues found!
    
    

    如上,正确设置所有内容,Flutter的开发环境算是搭建完成了,下一篇我们开始体验Flutter的魅力。


    个人总结,水平有限,如果有错误,希望大家能给留言指正!如果对您有所帮助,可以帮忙点个赞!如果转载,希望可以标明文章出处!最后,非常感谢您的阅读!

    展开全文
  • 要安装并运行Flutter,您开发环境必须满足以下最低要求: - 操作系统: Windows 7 或更高版本 (64-bit) - 磁盘空间: 400 MB (不包括Android Studio磁盘空间) - Flutter 依赖下面这些命令行工具 - Git for ...

    系统要求
    要安装并运行Flutter,您的开发环境必须满足以下最低要求:
    - 操作系统: Windows 7 或更高版本 (64-bit)
    - 磁盘空间: 400 MB (不包括Android Studio的磁盘空间)
    - Flutter 依赖下面这些命令行工具
    - Git for Windows (Git命令行工具)

    如果已安装Git for Windows,请确保命令提示符或PowerShell中运行 git 命令,不然在后面运行flutter
    doctor时 将出现Unable to find git in your PATH错误, 此时需要手动添加C:\Program
    Files\Git\bin至Path系统环境变量中。

    下载安装 FlutterSDK

    通过Git命令行工具下载git clone -b beta https://github.com/flutter/flutter.git
    在这里插入图片描述
    升级FlutterSDK
    1.在终端中使用flutter upgrade
    2.删除SDK包重新下载

    • 将安装包zip解压到你想安装Flutter SDK的路径
    • 在Flutter安装目录的flutter文件下找到flutter_console.bat,双击运行并启动flutter命令行,接下来,你就可以在Flutter命令行运行flutter命令了。
    • 要在终端运行 flutter 命令, 你需要添加以下环境变量到系统PATH
    • 我的电脑>属性>高级系统设置>环境变量
    • 在“用户变量”下检查是否有名为“Path”的条目:
      - 如果该条目存在, 追加 flutter\bin的全路径,使用 ; 作为分隔符.
      - 如果条目不存在, 创建一个新用户变量 Path ,然后将 flutter\bin的全路径作为它的值.
    • 在“用户变量”下检查是否有名为”PUB_HOSTED_URL”和”FLUTTER_STORAGE_BASE_URL”的条目,如果没有,也添加它们。
      export PUB_HOSTED_URL=https://pub.flutter-io.cn
      export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn
      在这里插入图片描述

    进行Flutter doctor 的测试
    在终端中输入flutter doctor,你可能会得到下面类似的结果
    在这里插入图片描述
    因为我们还没有安装Android studio。。。
    Android Studio的安装
    1.下载Android Studio:直接到官网进行下载就可以了。下载地址:https://developer.android.com/
    2.安装Android Studio 软件:下载好该安装包之后,点击进行安装,这个安装也就是差不多下一步下一步,如果你真的不会,可以参考这篇文章。https://www.cnblogs.com/xiadewang/p/7820377.html
    安装完成后,打开Android Stuido 软件,然后找到Plugin的配置,搜索Flutter插件,如图:
    在这里插入图片描述
    点击Install安装Flutter,如图:
    在这里插入图片描述
    重启Android studio软件,就可以新建flutter项目啦
    在这里插入图片描述
    安装Android证书
    安装好Android Studio后,再次打开终端(命令行),输入flutter doctor,这时候的x会明显减少,但是你还是会遇到1-2个,其中有一个就是提示没有安装证书。安装证书只要在终端里执行下面的命令。

    flutter doctor --android-licenses
    

    然后会提示你选Y/N,不要犹豫,一律选择Y,就可以把证书安装好
    到这里windows的开发环境就安装的差不多了,但是还需要安装虚拟机
    安装AVD虚拟机
    Android studio新建Flutter项目
    打开Andorid Studio ,会出现下面的界面,我们选择第二项,新建Flutter项目。
    在这里插入图片描述
    打开第二个窗口后,选择第一个选项Flutter Application(flutter应用)。
    在这里插入图片描述
    这步完成后,系统就会自动为我们创建一个Flutter项目
    在这里插入图片描述
    安装AVD虚拟机
    1.现在需要一个虚拟机来运行我们的程序,可以点击Android Studio中的上方菜单tool -AVD Manager选项。
    2.出现新建菜单,选择Create Virtual Device…,如果你一个虚拟机也没建过,这个选项在对话框的中间(我一定跟我的图一样)。在这里插入图片描述
    3.选择虚拟机类型,这个你随意选就好,我选择的是Nexus 5x。(如果你屏幕小,就选择一个小屏幕的虚拟机)
    在这里插入图片描述
    4.选择系统,这里尽量选择最新的,我选择了Android 9.0系统。
    5.安装好后,点击开始按钮,运行虚拟机了
    在这里插入图片描述
    设置您的Android设备
    要准备在Android设备上运行并测试您的Flutter应用,您需要安装Android 4.1(API level 16)或更高版本的Android设备.
    在您的设备上启用 开发人员选项 和 USB调试 。详细说明可在Android文档中找到。
    使用USB将手机插入电脑。如果您的设备出现提示,请授权您的计算机访问您的设备。
    在终端中,运行 flutter devices 命令以验证Flutter识别您连接的Android设备。
    运行启动您的应用程序 flutter run。
    默认情况下,Flutter使用的Android SDK版本是基于你的 adb 工具版本。 如果您想让Flutter使用不同版本的Android SDK,则必须将该 ANDROID_HOME 环境变量设置为SDK安装目录。

    展开全文
  • 要安装并运行Flutter,您开发环境必须满足以下最低要求: 操作系统: Windows 7 或更高版本 (64-bit) 磁盘空间: 400 MB (不包括Android Studio磁盘空间). 工具: Flutter 依赖下面这些命令行工具: Git for ...
  • 要安装和运行Flutter,您开发环境必须满足以下最低要求: 操作系统:Windows 7 SP1或更高版本(64位) 磁盘空间:400 MB(不包括IDE /工具磁盘空间)。 工具:Flutter取决于您的环境中可用这些工具。 ...
  • 系统要求 要安装并运行 Flutter ,你开发环境必须满足这些最低要求:操作系统:Windows 7 或者更高版本(64 位)。磁盘空间:400 MB(不包括 Android Studio 在内磁盘空间)。工具: Flutter 依赖了你环境中...
  • 1、双击运行【setup.exe】,开始安装 2、此时弹出【INS-13001 环境不满足最低要求】的提示框,此时可以选择【是】继续安装;也可以选择【否】结束安装...4、打开【cvu_prereq.xml】文件,找到value=windows 7的O...
  • 1.搭建Flutter开发环境(windows)

    千次阅读 2018-03-16 15:44:00
    系统配置需求 获取Flutter SDK 克隆仓库 配置系统环境变量 运行Flutter Doctor 配置编辑器 配置Android开发环境 ...操作系统: WIndows7以上 64位操作系统 磁盘空间: 最少400MB(不包含Android Studio安装...
  • 关于FLUTTER安装和环境配置,官网或者其他文章一搜一大把...配置需求:最低配置要求操作系统: WIndows7以上 64位操作系统开发工具:Android Stuido 3.0以上,java jdk 1.8以上磁盘空间: 最少400MB(不包含Android ...
  • 要安装并运行Flutter,您开发环境必须满足以下最低要求: 操作系统: Windows 7 SH1或更高版本 (64-bit) 磁盘空间: 400 MB (不包括Android Studio磁盘空间). 工具: Flutter 依赖下面这些命令行工具. ...
  • 运行环境二、安装过程3.安装 7 days to die 服务端三、服务器1.运行2.配置四、其它 零、前言 官方文档:https://7daystodie.fandom.com/wiki/Server(所有服务器配置都在此页面可以查找) 如需 FRP 局域网穿透到...
  • 要安装并运行Flutter,你开发环境必须满足这些最低要求(这里以windows系统为例): macos安装文档请查看:https://flutter.io/setup-macos/ linux安装文档请查看:https://flutter.io/setup-linux/ (一) ...
  • 要安装和运行Flutter,您开发环境必须满足以下最低要求: 操作系统Windows 7 SP1或更高版本(64位) 磁盘空间::400 MB(不包括IDE/Tools磁盘空间)。 工具颤振取决于您的环境中可用这些工具。 Windows ...
  • win环境检测脚本

    2021-04-30 18:23:48
    很多用户的电脑不满足软件的最低配置,下载软件之后安装不了,或者运行卡顿甚至崩溃,然后联系客服,客服又联系技术,查原因。一整套流程下来,浪费很多时间,客户也得不到及时反馈。因此,想写一个脚本提供给客户...
  • 要安装并运行Flutter,您开发环境必须满足以下最低要求: 操作系统: Windows 7 或更高版本 (64-bit) 磁盘空间: 400 MB (不包括Android Studio磁盘空间). 工具: Flutter 依赖下面这些命令行工具:Git for Windows...
  • 此为中文官方网站,有...要安装并运行Flutter,您开发环境必须满足以下最低要求: 操作系统: Windows 7 或更高版本 (64-bit) 磁盘空间: 400 MB (不包括Android Studio磁盘空间). 工具: Flutter 依赖下面这些命令...
  • Flutter开发环境搭建——window 初次尝试写flutter demo 时候 跟着官方文档走觉得...要安装并运行Flutter,您开发环境必须满足以下最低要求: 操作系统: Windows 7 或更高版本 (64-bit) 磁盘空间: 400 M...
  • 安装最低环境配置:Centos 6.5及以上,jdk1.8 ,gcc3.4.5以上,内存64G及以上,硬盘500G及以上,CPU 8核及以上 centos 7安装流程参考:(安装顺利话很顺利,不顺利话全是坑…记得文件权限问题 还有后期路况文件...
  • VMWare 是一个“虚拟 PC”软件,它使你可以在一台电脑上同时运行二个或更多 Windows、DOS、LINUX 系统。与“多启动”系统相比,VMWare 采用了完全不同概念。多启动系统在同一时刻只能运行一个系统,在系统切换时...
  • 钛极OS(TiJOS)应用开发环境只需在Eclipse中在线安装Ti-Dev Studio插件即可,安装成功后即可在Eclipse中进行TiJOS应用开发和运行,Eclipse中Ti-Dev Studio插件安装路径http://dev.tijos.net/studio/release, 按...
  • Photoshop 7 经典实例教程光盘(ISO)光盘运行配置 运行环境:中文Windows 95或Windows 95以上中文操作平台,800×600,16位色以上显示分辨率; 最低配置:Pentium 133处理器,16M内存,8倍速光驱,16位声卡,14寸真彩...
  • Photoshop7经典实例教程

    2003-03-10 00:00:00
    运行环境:中文Windows 95或Windows 95以上中文操作平台,800×600,16位色以上显示分辨率; 最低配置:Pentium 133处理器,16M内存,8倍速光驱,16位声卡,14寸真彩显示器; 运行方法:将光盘弹进光驱,光盘自动...
  • 2.系统运行环境要求: (1). 最低配置:CPU主频533 MHz以上,内存64M,硬盘剩余最小空间100M,操作系统Windows 98以上,屏幕分辨率800×600。 (2). 推荐配置:PVI以上CPU,内存128M,硬盘空间20G,操作系统...
  • 一、要安装并运行Flutter,您开发环境必须满足以下最低要求: 操作系统: Windows 7 或更高版本 (64-bit) 磁盘空间: 400 MB (不包括Android Studio磁盘空间). 工具: Flutter 依赖下面这些命令行工具. Git for ...
  • Flutter基本配置

    2021-03-19 15:15:11
    要安装和运行 Flutter,您开发环境必须满足以下最低要求: 操作系统: 视窗 7 SP1 或更高版本 (64 位), x86-64 基于 磁盘空间:1.64 GB(不包括用于IDE/工具磁盘空间)。 工具:闪动取决于这些工具在您的环境...
  • 采购系统可供中小企业对日常行政用品(例如纸类,笔类,办公耗材类等)进行电子化管理。 系统提供了简单产品采购入库和领用出库概念,方便行政人员...最低运行环境windowsXP+.NET4.0+IIS5.1+MSSQL2005 Express
  • Delphi.exe文件来安装播放环境并启动播放,播放操作方式和在PowerPoint 中一样。 在双击Delphi.exe文件时,会弹出一个对话框来询问要将程序解包到 哪里,在“目标文件夹”文本框中输入文件夹,然后单击...

空空如也

空空如也

1 2 3 4 5 6
收藏数 111
精华内容 44
关键字:

windows7的最低运行环境